tigase.kernel.core

## Class Kernel.DelegatedBeanConfig

- java.lang.Object
- - tigase.kernel.core.BeanConfig
  - - tigase.kernel.core.Kernel.DelegatedBeanConfig

- Enclosing class:
    Kernel

      public static class Kernel.DelegatedBeanConfig
      extends BeanConfig

  Class used for delegating beans from one kernel to the other kernel. It is used internally for exporting/linking bean to the other kernels.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.kernel.core.BeanConfig

      `BeanConfig.Source, BeanConfig.State`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getClazz()` Returns class of bean.
    `BeanConfig` | `getFactory()` Return factory of bean.
    `Map<Field,Dependency>` | `getFieldDependencies()` Returns map of dependencies.
    `Kernel` | `getKernel()` Returns `Kernel` managing this bean.
    `BeanConfig` | `getOriginal()`
    `BeanConfig.State` | `getState()` Returns state of bean.
    `boolean` | `isExportable()` Checks if bean may be visible in child Kernels.
    `String` | `toString()`

    - ### Methods inherited from class tigase.kernel.core.BeanConfig

      `addRegisteredBean, addRegisteredBy, equals, getBeanInstanceName, getBeanName, getRegisteredBeans, getRegisteredBy, getSource, hashCode, isPinned, removeRegisteredBean, removeRegisteredBy, setBeanInstanceName, setPinned`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getClazz

          public Class<?> getClazz()

      Description copied from class: `BeanConfig`
      Returns class of bean.
      Overrides:
        `getClazz` in class `BeanConfig`
      Returns:
        class of bean.

    - #### getFactory

          public BeanConfig getFactory()

      Description copied from class: `BeanConfig`
      Return factory of bean.
      Overrides:
        `getFactory` in class `BeanConfig`
      Returns:
        factory of bean. It may return `null` if default factory is used.

    - #### getFieldDependencies

          public Map<Field,Dependency> getFieldDependencies()

      Description copied from class: `BeanConfig`
      Returns map of dependencies. Note that Kernel has field-based-dependency model, it means that each dependency must be related to field in class.
      Overrides:
        `getFieldDependencies` in class `BeanConfig`
      Returns:
        map of dependencies.

    - #### getKernel

          public Kernel getKernel()

      Description copied from class: `BeanConfig`
      Returns `Kernel` managing this bean.
      Overrides:
        `getKernel` in class `BeanConfig`
      Returns:
        `Kernel`.

    - #### getOriginal

          public BeanConfig getOriginal()

    - #### getState

          public BeanConfig.State getState()

      Description copied from class: `BeanConfig`
      Returns state of bean.
      Overrides:
        `getState` in class `BeanConfig`
      Returns:
        state of bean.

    - #### isExportable

          public boolean isExportable()

      Description copied from class: `BeanConfig`
      Checks if bean may be visible in child Kernels.
      Overrides:
        `isExportable` in class `BeanConfig`
      Returns:
        `true` if beans will be visible in child Kernel (other Kernels deployed as beans to current Kernel).

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BeanConfig`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.